@base-color : #56cfe1;

.border-radius (@radius) {
    border-radius: @radius;
    -webkit-border-radius: @radius;
    -moz-border-radius: @radius;
    -o-border-radius: @radius;
}
.transform (@translate) {
    transform: @translate;
    -webkit-transform: @translate;
    -moz-transform: @translate;
    -o-transform: @translate;
}
.transition  (@transition) {
    transition: @transition;
    -webkit-transition: @transition;
    -moz-transition: @transition;
    -o-transition: @transition;
}

.transform-origin(@transform-origin) {
	transform-origin: @transform-origin;
	-webkit-transform-origin: @transform-origin;
	-ms-transform-origin: @transform-origin;
	-moz-transform-origin: @transform-origin;
	-o-transform-origin: @transform-origin;
}

.label-menu {
    font-size: 9px;
    color: #fff;
    .border-radius(50px);
    background-color: #01bad4;
    border-color: #01bad4;
    padding: 0 7px;
    display: block;
    text-align: center;
    position: absolute !important;
    left: 100%;
    margin-left: -23px;
    top: 10px;
	&.sale {
		background-color: #ffa800;
		border-color: #ffa800;
	}
}

.navigation .nav-main-menu li {
	> ul.dropdown-menu .label-menu {
		right: 5px;
		left: auto;
		top: 5px;
	}
	&.mega-menu-fullwidth > ul.dropdown-menu .label-menu {
		right: 0;
	}
}

.nav-main-menu a {
    color: #66656b;
}

.header {
	.nav.nav-main-menu > li {
		> a {
			display: block;
			font-size: 14px;
			padding: 21px 18px;
			background: none;
			position: relative;
      text-transform: uppercase;
      @media (min-width: 1024px) and (max-width: 1199px) {
        padding: 21px 5px;
      }
			&:hover {
				color: #56cfe1;
			}
		}
		&.logo-item {
			padding: 0 21px;
		}
	}
}

.menu-banner {
    position: relative;
    overflow: hidden;
	&:after {
		position: absolute;
		left: 10px;
		right: 10px;
		top: 10px;
		bottom: 10px;
		border: 1px solid rgba(255, 255, 255, 0.6);
		z-index: 1;
		content: "";
		.transition(all 300ms);
	}
	.text {
		text-align: center;
		position: absolute;
		left: 0;
		right: 0;
		top: 50%;
		.transform(translateY(-50%));
		z-index: 2;
	}
	&:hover:after {
		left: 0;
		right: 0;
		top: 0;
		bottom: 0;
	}
	img {
		min-width: 100%;
	}
}

.header:not(.header6):not(.header7) {
	@media (min-width: 1024px) {
		.navigation .nav-main-menu {
			display: table;
			position: relative;

			> li {
				display: table-cell;
				vertical-align: middle;
				float: none;
				> a {
					white-space: nowrap;
					.icon-next {
						display: none !important;
					}
				}
				&.hover-right > ul.dropdown-menu {
					right: 0 !important;
					left: auto !important;
					ul.dropdown-menu {
						right: 100% !important;
						left: auto !important;
					}
				}
			}
			li {
				position: relative;
				> ul.dropdown-menu {
					a {
						color: #fff;
						background: none ;
						&:hover {
							color: #fff;
						}
					}
					ul > li {
						&:not(:last-child) > a {
							/*border-bottom: 1px solid #eee;*/
						}
						&:first-child > a {
							/*border-bottom: 1px solid #eee;*/
						}
					}
				}
				> a + .toggle-menu {
					display: none !important;
				}
				> .dropdown-menu {
					left: 0;
					opacity: 0;
					position: absolute;
					top: 100%;
					max-height: 0;
					z-index: 100;
					display: block !important;
					padding: 0;
					.border-radius(0);
					box-shadow: 0 0 3px 0 rgba(0, 0, 0, 0.1);
					background-color: #fff;
					min-width: 250px;
					margin: 0;
					border: none;
					.transform(translateY(20px));
          -webkit-transition: opacity .25s ease-in,max-height .25s ease-in;
          -o-transition: opacity .25s ease-in,max-height .25s ease-in;
          transition: opacity .25s ease-in,max-height .25s ease-in;
          visibility: hidden;
          overflow-y: auto;
          overflow-x: hidden;
				}
				&:hover > ul.dropdown-menu {
					opacity: 1;
					max-height: calc(100vh - 10vh);
					max-height: -moz-calc(100vh - 10vh);
					max-height: -webkit-calc(100vh - 10vh);
          visibility: visible;
					.transform(translateY(0));
				}
				li {
					> a {
						display: block;
						font-size: 13px;
						padding: 12px 15px 8px;
						line-height: 1.75;
						.icon-next {
							display: block !important;
						}
					}
					> ul {
						li > ul {
							&.dropdown-menu {
								left: 100%;
								top: 0;
							}
							top: -1px;
							left: 100%;
						}
					}
				}
				&.mega-menu-fullwidth {
					position: static !important;
					> ul.dropdown-menu {
						left: 0;
						right: 0;
						border-top: 1px solid #efefef;
						padding: 14px 30px 16px;
						.mega-menu-sub-title {
							font-size: 14px;
							text-transform: uppercase;
							color: #222;
							font-weight: 500;
						}
						ul {
							position: static;
							left: auto;
							right: auto;
							top: auto;
							border: none;
							box-shadow: none;
							.transform(none);
							opacity: 1;
							visibility: inherit;
							background-color: transparent;
							text-transform: none;
							li > a {
								padding: 2px 0 6px;
								> span {
									position: relative;
								}
							}
						}
					}
					&.menu-2columns {
						position: relative !important;
						> ul.dropdown-menu {
							left: 0;
							right: auto;
							min-width: 500px;
						}
						&.hover-right {
							position: static !important;
							> ul.dropdown-menu {
								right: 0;
								left: auto;
								min-width: 500px;
							}
						}
					}
					&:not(.menu-2columns) > ul.dropdown-menu {
						width: 1024px;
						left: 50%;
						right: auto;
						margin-left: -585px;
					}
				}
				> ul.sub-menu {
					display: block !important;
				}
			}
		}
	}
	@media (max-width: 1023px) {
		#main-Menucontent .navigation > .container {
			width: 100%;
			padding: 0 !important;
		}
		.nav-main-menu {
			.dropdown-menu {
				width: auto !important;
				padding: 0;
				margin: 0;
				position: static;
				float: none;
				background: none;
				.border-radius(0);
				border: none;
				box-shadow: none;
			}
			a .icon-next {
				display: none !important;
			}
			li {
				position: relative;
				float: none !important;
				> a {
					padding-right: 40px;
					border-bottom: 1px solid #ddd;
					display: block;
					padding: 10px 15px !important;
					color: #575757;
					font-size: 14px;
					+ .toggle-menu {
						width: 40px;
						position: absolute;
						right: 0;
						text-align: center;
						line-height: 45px;
						top: 0;
						a {
							color: #575757;
							&.active .fa:before {
								content: "\f068";
							}
						}
					}
				}

        > ul.dropdown-menu {
					display: none;
				}

        > ul.sub-menu {
          display: none;
					padding-left: 0;
        }
			}
			[class*="col-"] {
				padding: 0;
			}
			.row {
				margin: 0;
			}
		}
	}

  .nav-main-menu {
    .dropdown-menu {
      .mega-menu-content {
        .top_content {
          .container {
            @media (min-width: 768px) and (max-width: 1023px) {
              width: 100%;
            }

            @media (max-width: 1023px) {
      				padding: 0;
      			}
          }
        }
      }
    }
  }
}
body {
	&.boxed {
		&.width1024 .header:not(.header6):not(.header7) .navigation .nav-main-menu li.mega-menu-fullwidth:not(.menu-2columns) > ul.dropdown-menu {
			@media (min-width: 1024px) {
				width: 994px;
				margin-left: -497px;
			}
		}
		&.width1366 .header:not(.header6):not(.header7) .navigation .nav-main-menu li.mega-menu-fullwidth:not(.menu-2columns) > ul.dropdown-menu {
			@media (min-width: 1426px) {
				width: 1336px;
				margin-left: -668px;
			}
		}
	}
	&.wide {
		&.width1366 .header:not(.header6):not(.header7) .navigation .nav-main-menu li.mega-menu-fullwidth:not(.menu-2columns) > ul.dropdown-menu {
			@media (min-width: 1370px) {
				width: 1336px;
				margin-left: -668px;
			}
		}
		&.width1024 .header:not(.header6):not(.header7) .navigation .nav-main-menu li.mega-menu-fullwidth:not(.menu-2columns) > ul.dropdown-menu {
			@media (min-width: 1024px) {
				width: 994px;
				margin-left: -668px;
			}
		}
	}
}

.header {
	&.header6, &.header7 {
		#main-Menucontent .navigation > .container {
			width: 100%;
			padding: 0 !important;
		}
		.nav-main-menu {
			.dropdown-menu {
				padding: 0;
				margin: 0;
				position: static;
				float: none;
				background: none;
				.border-radius(0);
				border: none;
				box-shadow: none;
				width: auto !important;
			}
			a .icon-next {
				display: none !important;
			}
			li {
				position: relative;
				float: none !important;
				> a {
					padding-right: 40px;
					border-bottom: 1px solid #ddd;
					display: block;
					padding: 10px 15px !important;
					color: #575757;
					font-size: 14px;
					+ .toggle-menu {
						width: 40px;
						position: absolute;
						right: 0;
						text-align: center;
						line-height: 45px;
						top: 0;
						display: block !important;
						a {
							color: #575757;
							&.active .fa:before {
								content: "\f068";
							}
						}
					}
				}
				> ul.sub-menu, > ul.dropdown-menu {
					display: none;
					padding-left: 10px !important;
				}
			}
			[class*="col-"] {
				padding: 0;
        float: none;
				width: 100%;
			}
			.row {
				margin: 0;
			}
		}
	}
}

.menu_vertical_fixed .header.header5 .navigation .nav-main-menu {
	@media (min-width: 1200px) {
		width: 100%;
		position: relative;
		> li {
			width: 100%;
			display: block;
			position: relative !important;
			&.logo-item {
				display: none;
			}
			> a {
				padding: 11px 0px 11px 0px;
				position: relative;
				margin: 0 20px;
				border-bottom: 1px solid #ddd;
				font-size: 16px;
				> .label-menu {
					margin-left: -10px;
					.transform(translateX(-100%));
				}
			}
			> .dropdown-menu {
				left: 100% !important;
				top: 11px;
				margin: 0 !important;
			}
		}
	}
}
